Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2165 - Linuxconf 1.12r5-6rh doesn't think ip aliasing support is in my 2.2.5 kernel when it is.
Summary: Linuxconf 1.12r5-6rh doesn't think ip aliasing support is in my 2.2.5 kernel ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-13 13:23 UTC by Oliver Jones
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 20:20:58 UTC


Attachments (Terms of Use)

Description Oliver Jones 1999-04-13 13:23:59 UTC
Linuxconf 1.12r5-6rh doesn't think ip aliasing support is in
my 2.2.5 kernel when it is. Look:

[root] duality:~# uname -a
Linux duality.home.deeper.co.nz 2.2.5 #1 SMP Sun Apr 4
20:44:33 NZST 1999 i686 unknown
[root] duality:~# ifconfig eth0:0 192.168.1.2
[root] duality:~# ifconfig eth0:0
eth0:0    Link encap:Ethernet  HWaddr 00:10:5A:5F:AC:6B
          inet addr:192.168.1.2  Bcast:192.168.1.255
Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Interrupt:3 Base address:0xec80


* Fiddles with Linuxconf *
[root] duality:~# linuxconf --hint ipalias
Error
No kernel support for devices aliasingDEV_RECONF_ALIASES=""

This is spat out on boot as well.  Please fix.

Thank you.

Comment 1 Michael K. Johnson 1999-04-13 16:34:59 UTC
That's a known upgrade issue.  We will be releasing a new linuxconf
as a 5.2 2.2.x upgrade at some time in the future.  In the meantime,
you can try rebuilding the rawhide linuxconf source rpm; it may well
work for you -- we just haven't tested it enough to release as a 5.2
2.2.x kernel upgrade yet, and it interacts with a few other components
that we need to test all together back in the 5.2 environment.

Comment 2 Bill Nottingham 1999-08-19 20:20:59 UTC
this is fixed in the latest linuxconf in Raw Hide; recompiling it
for 5.2 should work OK.


Note You need to log in before you can comment on or make changes to this bug.